.PHONY: clean, mrproper
CC = gcc
CFLAGS = -g -Wall

all: ex1

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

ex1: ex1.o
	$(CC) $(CFLAGS) -o $@ $+

clean:
	rm -f *.o core.*

mrproper: clean
	rm -f ex1

run: ex1
	./$<
